<link rel="import" href="bower_components/polymer/polymer.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout.html">
<link rel="import" href="bower_components/iron-flex-layout/iron-flex-layout-classes.html">
<link rel="import" href="bower_components/d2l-text-input/d2l-text-input.html">
<link rel="import" href="bower_components/paper-button/paper-button.html">
<link rel="import" href="bower_components/iron-form/iron-form.html">

<dom-module id="tiny-book-form-add">
    <template>
        <tiny-pouchdb name="tiny-books" books="{{books}}" id="db"></tiny-pouchdb>

        <style include="iron-flex iron-flex-layout"></style>

        <iron-form id="my-form">
            <form method="post">
                <d2l-text-input name="title" placeholder="Title"></d2l-text-input>
                <d2l-text-input name="author" placeholder="Author"></d2l-text-input>
                <d2l-text-input name="price" placeholder="Price"></d2l-text-input>
                <d2l-text-input name="url" placeholder="Url"></d2l-text-input>
                <paper-button on-click="connectedCallback" style="background-color: green;">Submit</paper-button>
            </form>
        </iron-form>

    </template>

    <script>

    class TinyBookFormAdd extends Polymer.Element {
        static get is() {
            return "tiny-book-form-add";
        }

        static get properties() {
            return  {
                books: {
                    type: Array,
                    notify: true
                }
            }
        }

      connectedCallback() {
          super.connectedCallback();
          const form = this.$['my-form'];
          form.submit();
          form.addEventListener('iron-form-presubmit', function (event) {
            event.preventDefault();
            let res = form.serializeForm();
            const db = new PouchDB("http://localhost:5984/books");
            return db.post({
                title: res['title'],
                author: res['author'],
                price: res['price'],
                url: res['url']
            }).then(function(res) {
              window.location.reload();
            }).catch(function(err) {
              console.log(err);
            })
          });
      }
    }
    customElements.define(TinyBookFormAdd.is, TinyBookFormAdd);
    </script>
</dom-module>
